// IP*Works! SSL V9 C++ Edition - C++ Interface
//
// Copyright (c) 2013 /n software inc. - All rights reserved.
//

#ifndef _IPWORKSSSL_H_
#define _IPWORKSSSL_H_
  
#ifdef WIN32
#define IPWORKSSSL_CALL __stdcall
#else //UNIX
#define IPWORKSSSL_CALL
#endif

#if defined(_MSC_VER) || defined(__BORLANDC__)
  typedef __int64 ns_int64;
  typedef unsigned __int64 ns_uint64;
#else
  typedef long long int ns_int64;
  typedef unsigned long long int ns_uint64;
#endif


#ifdef UNIX
#if defined(__LP64__) || defined(__x86_64__) || defined(__ia64__) || defined(__amd64__) || defined(__ppc64__)
#ifndef UNIX64
#define UNIX64
#endif
#endif
#endif

#ifndef UNIX64
#define IPS64CAST
#else
#define IPS64CAST (ns_int64)
#endif

typedef int (IPWORKSSSL_CALL *PIPWORKSSSL_CALLBACK)
  (void *lpObj, int event_id, int cparam, void *param[], int cbparam[]);

#ifndef IPWORKSSSL_ONLY_TYPES
#ifdef WIN32

#include "atoms.h"
#include "caldavs.h"
#include "certmgr.h"
#include "filemailers.h"
#include "ftps.h"
#include "htmlmailers.h"
#include "https.h"
#include "imaps.h"
#include "ipdaemons.h"
#include "ipports.h"
#include "jsons.h"
#include "ldaps.h"
#include "nntps.h"
#include "oauth.h"
#include "odatas.h"
#include "pops.h"
#include "rests.h"
#include "rsss.h"
#include "smpps.h"
#include "smtps.h"
#include "snpps.h"
#include "soaps.h"
#include "telnets.h"
#include "webdavs.h"
#include "webforms.h"
#include "webuploads.h"
#include "xmpps.h"


#else //UNIX

#include "atoms.h"
#include "caldavs.h"
#include "certmgr.h"
#include "filemailers.h"
#include "ftps.h"
#include "htmlmailers.h"
#include "https.h"
#include "imaps.h"
#include "ipdaemons.h"
#include "ipports.h"
#include "jsons.h"
#include "ldaps.h"
#include "nntps.h"
#include "oauth.h"
#include "odatas.h"
#include "pops.h"
#include "rests.h"
#include "rsss.h"
#include "smpps.h"
#include "smtps.h"
#include "snpps.h"
#include "soaps.h"
#include "telnets.h"
#include "webdavs.h"
#include "webforms.h"
#include "webuploads.h"
#include "xmpps.h"


#endif
#endif //IPWORKSSSL_ONLY_TYPES

#endif //_IPWORKSSSL_H_


